<?php

require "../header.php";

$validated = require_login(NOREDIRECT);

if ( !isset($_REQUEST['path']) ) exit();

$data = array();
$data["error"] = false;
$data["message"] = "";
$data["validated"] = $validated;

if ( !$validated ) {
    $data["error"] = true;
    $data["message"] = "Clients must validate accounts";
    header('Content-Type: application/json');
    echo json_encode($data);
    exit();
}

$newpath = urldecode($_REQUEST['path']);

$comicfull = realpath(COMICSDIR . $newpath);
if ( ($newpath == "/") || ($comicfull === false) || (substr($comicfull, 0, strlen(COMICSDIR)) != COMICSDIR) ) {
    $_SESSION['compath'] = "/";
} else {
    $_SESSION['compath'] = substr($comicfull, strlen(COMICSDIR));
}
$data["message"] = "New comic path: {$_SESSION["compath"]}";
$pathparts = pathinfo($_SESSION['compath']);
$data["parentpath"] = $pathparts["dirname"];
$data["foldername"] = $pathparts["basename"];

header('Content-Type: application/json');
echo json_encode($data);
exit();

// vim: set ts=4 sw=4 et:
